Package org.gradle.platform.base

## Interface GeneralComponentSpec

- All Superinterfaces:
    `ComponentSpec`, `ModelElement`, `Named`, `SourceComponentSpec`, `VariantComponent`, `VariantComponentSpec`
  All Known Subinterfaces:
    `ApplicationSpec`, `CUnitTestSuiteSpec`, `GoogleTestTestSuiteSpec`, `JUnitTestSuiteSpec`, `JvmLibrarySpec`, `JvmTestSuiteSpec`, `LibrarySpec`, `NativeExecutableSpec`, `NativeLibrarySpec`, `NativeTestSuiteSpec`, `PlayApplicationSpec`, `TestSuiteSpec`
  All Known Implementing Classes:
    `BaseComponentSpec`

      @Incubating
      public interface GeneralComponentSpec
      extends ComponentSpec, SourceComponentSpec, VariantComponentSpec

  A general purpose component specification, that can be used to represent some software component built from source and producing multiple output variants.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

      `getSources`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`